# m_ipmodem.h File Reference

## Detailed Description

Mode class for GPRS modem mode (using endpoints on modern devices).

Definition in file m_ipmodem.h.

`#include "dll.h"`
`#include "modem.h"`
`#include "usbwrap.h"`
`#include "data.h"`
`#include "pppfilter.h"`
`#include <pthread.h>`

Include dependency graph for m_ipmodem.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

class | Barry::Mode::IpModem